#ifndef PC_MACH
#define PC_MACH
/**********************************************************HP*03-5320***
*
* $Author: prakt_fw $
* $Date: 92/12/03 10:38:19 $
* $Revision: 1.10 $
* $Source: /users/prakt_fw/tc/RCS/pc_mach.h,v $
*
************************************************************************
*
* CONTENTS: pc_mach.h - type definitions for portable C 
*
***********************************************************************


		(C) Copyright Hewlett-Packard GmbH 1992

			  All rights reserved


     Hewlett-Packard makes no warranty of any kind with regard to this 
     software, including, but not limited to, the implied warranties of 
     merchantability and fitness for a particular purpose.
     Hewlett-Packard shall not be liable for errors contained herein or
     direct, indirect, special, incidental or consequential damages in 
     connection with the furnishing, performance or use of this material.

*/




/* Vectra Turbo C Compiler         */
typedef unsigned char   u_8;
typedef int             i_16;
typedef unsigned int    u_16;
typedef long int        i_32;
typedef unsigned long   u_32;
typedef float           f_32;
typedef double          f_64;
typedef unsigned char   b_8;
typedef unsigned int    b_16;
typedef char            c_8;
typedef unsigned int    c_16;
typedef int             boolean;
typedef int             metachar;
typedef char            anydata;




/* HP CMS standard includes                                           */

#define  YES     1
#define  NO      0

#define  TRUE    1
#define  FALSE   0

#define  SUCCEED 1
#define  FAIL    0

#define  ON      1
#define  OFF     0

#define  UP      1
#define  DOWN    0

#define  LEFT    1
#define  RIGHT   0

#define  ACTIVE      1
#define  INACTIVE    0

#define HIGHBYTE(data)     (((data) >> 8) & 0xff)
#define LOWBYTE(data)      ((data) & 0xff)

#ifndef NULL
#define NULL    0L
#endif

#define PASSED   0

#define BLANK    0x20   /* define space character */
#define EOS      '\0'   /* define 'end of string' */
#endif

